Bug 241588 - qfaxreader - a monochrome/color multipage .TIFF files visualisation utility designed for viewing faxes
qfaxreader - a monochrome/color multipage .TIFF files visualisation utility d...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-28 09:49 EDT by manuel wolfshant
Modified: 2014-06-11 06:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.3.1-7.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 01:14:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adel.gadllah: fedora‑review+


Attachments (Terms of Use)
mock build log (8.06 KB, text/plain)
2007-07-23 10:33 EDT, Adel Gadllah
no flags Details

  None (edit)
Description manuel wolfshant 2007-05-28 09:49:46 EDT
Spec URL: http://wdl.lug.ro/linux/rpms/qfaxreader/qfaxreader.spec
SRPM URL: http://wdl.lug.ro/linux/rpms/qfaxreader/qfaxreader-0.3.1-1.src.rpm
Description: 
 QFaxReader is a monochrome/color multipage .TIFF files visualisation utility designed for viewing faxes.

    * Handle multi page monochrome/color tiff/fax files
    * Correctly display fax images in any resolution
    * Printing fax files (multiple pages per sheet capability)
    * Image transformation (rotate left, rotate right, vertical flip)
    * Arbitrary zoom fax images (with fit height/width support)
    * Sidebar with easy navigation through directories
    * AutoRefresh + notification for new facsimiles
    * Aliases database for replacing faxes id's with real name
    * Export in all formats which your QT have support
    * Fullscreen mode
    * CID support


mock build for fc6/x86_64 + build.log are available at  http://wdl.lug.ro/linux/rpms/qfaxreader/
Comment 1 Philippe Valembois 2007-05-30 12:46:11 EDT
Paths don't use macros
Build failed on mock fc6/i386
make[2]: Entering directory `/builddir/build/BUILD/qfaxreader-0.3.1/src'
/usr/lib/qt-3.3/bin/uic alias.ui -o alias.h
make[2]: *** No rule to make target `alias.h', needed by `all'.  Stop.
make[2]: *** Waiting for unfinished jobs....
/usr/lib/qt-3.3/bin/uic -impl alias.h alias.ui -o alias.cpp
/usr/lib/qt-3.3/bin/moc alias.h >> alias.cpp
make[2]: Leaving directory `/builddir/build/BUILD/qfaxreader-0.3.1/src'
Comment 2 manuel wolfshant 2007-06-11 01:14:32 EDT
Merci, Philippe !

The updated version - which includes a couple of fixes - is available at 
 http://wdl.lug.ro/linux/rpms/qfaxreader/qfaxreader.spec and
http://wdl.lug.ro/linux/rpms/qfaxreader/qfaxreader-0.3.1-2.src.rpm

Build logs and generated rpms for a couple of distros/archs are available under
 http://wdl.lug.ro/linux/rpms/qfaxreader/build
%changelog
- Requires: hicolor-icon-theme
- Replaced some paths with macros
- Use gtk-update-icon-cache to show up installed icons in GNOME menus
Comment 3 manuel wolfshant 2007-06-13 03:02:42 EDT
Small spec update: in the previous version, the invalid category Application was
patched out from the desktop file using sed; this release switches to
--remove-category at install time
Comment 4 manuel wolfshant 2007-07-18 19:42:18 EDT
I have moved all the files to http://wolfy.fedorapeople.org. The new links are:
http://wolfy.fedorapeople.org/qfaxreader.spec 
http://wolfy.fedorapeople.org/qfaxreader-0.3.1-2.src.rpm
http://wolfy.fedorapeople.org/buildlogs/ for already build packages (FC6 &
devel, i386 and x86_64)
Comment 5 manuel wolfshant 2007-07-18 19:50:08 EDT
Sorry, wrong c/p.
The src.rpm is http://wolfy.fedorapeople.org/qfaxreader-0.3.1-3.src.rpm
Comment 6 Adel Gadllah 2007-07-23 09:22:39 EDT
build fails here:
make[2]: Leaving directory `/home/linux/rpmbuild/BUILD/qfaxreader-0.3.1/pix'
Making all in src
make[2]: Entering directory `/home/linux/rpmbuild/BUILD/qfaxreader-0.3.1/src'
/usr/lib64/qt-3.3/bin/uic alias.ui -o alias.h
make[2]: *** No rule to make target `alias.h', needed by `all'.  Stop.
make[2]: *** Waiting for unfinished jobs....
/usr/lib64/qt-3.3/bin/uic -impl alias.h alias.ui -o alias.cpp
Conflict in /usr/lib/kde3/plugins/designer/kdewidgets.so:
  Plugin uses incompatible Qt library!
  expected build key "x86_64 Linux g++-4.* full-config", got "i686 Linux g++-4.*
full-config".
/usr/lib64/qt-3.3/bin/moc alias.h >> alias.cpp
make[2]: Leaving directory `/home/linux/rpmbuild/BUILD/qfaxreader-0.3.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/linux/rpmbuild/BUILD/qfaxreader-0.3.1'
make: *** [all] Error 2
Fehler: Fehler-Status beim Beenden von /var/tmp/rpm-tmp.55914 (%build)
Comment 7 Adel Gadllah 2007-07-23 09:29:05 EDT
some NOTES:
%configure line to long split it please.
use %{_bindir} not /usr/bin
%description seems long too. is it necessary to list all features here?
Comment 8 manuel wolfshant 2007-07-23 10:04:10 EDT
Thanks for the review, Adel.

If I interpret correctly your log, you did not use mock. Could you please try a
mock build? As you can see in my buildlogs for devel/x86_64 (which are available
at http://wolfy.fedorapeople.org/buildlogs/devel) on my test machine, under
mock, everything seems OK so I would be grateful if you can provide more input
on the situation when it does not build

I have split the %configure line, I will upload the new spec once more
modifications are to be included. As of the description, that's how the author
describes it and I would like to leave it as it is.
Comment 9 Adel Gadllah 2007-07-23 10:16:10 EDT
(In reply to comment #8)
> Thanks for the review, Adel.
> 
> If I interpret correctly your log, you did not use mock. Could you please try a
> mock build? As you can see in my buildlogs for devel/x86_64 (which are available
> at http://wolfy.fedorapeople.org/buildlogs/devel) on my test machine, under
> mock, everything seems OK so I would be grateful if you can provide more input
> on the situation when it does not build
> 

ok I am building it in mock now.

> I have split the %configure line, I will upload the new spec once more
> modifications are to be included. As of the description, that's how the author
> describes it and I would like to leave it as it is.
ok,
this comment seems unneeded: "#the category Application is not valid"

when you upload the new spec and the build work I will do a formal review.
Comment 10 Adel Gadllah 2007-07-23 10:27:49 EDT
you also don't need the / when you use the macros:

ex:

/%{_datadir}/man/man1/*
->
%{_datadir}/man/man1/*

and so on.
Comment 11 Adel Gadllah 2007-07-23 10:33:08 EDT
Created attachment 159787 [details]
mock build log

the build failed in mock too (F7 x86_64)
log is attached.
Comment 12 Adel Gadllah 2007-07-23 10:52:13 EDT
ok it seems not to be smp build safe remove the smp_flags from make.
Comment 13 manuel wolfshant 2007-07-23 10:59:09 EDT
It seems that parallel build is not always functional. I've informed upstream
who will look into it.

New spec + src.rpm are available at
http://wolfy.fedorapeople.org/qfaxreader.spec
http://wolfy.fedorapeople.org/qfaxreader-0.3.1-4.fc7.src.rpm
Comment 14 Adel Gadllah 2007-07-23 11:10:44 EDT
you still have /usr/bin in %files please use %{_bindir}
Comment 15 Adel Gadllah 2007-07-23 11:41:13 EDT
Package Review:
==================================================
----------------------------------
MUST: rpmlint must be run on every package.
----------------------------------
OK, no output.
----------------------------------
MUST: The package must be named according to the Package Naming Guidelines.
----------------------------------
OK
----------------------------------
MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec 
----------------------------------
OK
----------------------------------
MUST: The package must meet the  Packaging Guidelines.
----------------------------------
NOT OK!
Please replace /usr/bin in %files with %{_bindir}
----------------------------------
MUST: The package must be licensed with an open-source compatible license and
meet other legal requirements.
----------------------------------
OK
----------------------------------
MUST: The License field in the package spec file must match the actual license.
----------------------------------
OK (GPL)
----------------------------------
MUST: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, 
containing the text of the license(s) for the package must be included in %doc.
----------------------------------
OK
----------------------------------
MUST: The spec file must be written in American English.
----------------------------------
OK
----------------------------------
MUST: The spec file for the package MUST be legible.
----------------------------------
OK
----------------------------------
MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL.
----------------------------------
OK (mdsum = 165774433c44f721e82552c866e7be87)
----------------------------------
MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
----------------------------------
OK (Tested on F7 x86_64)
----------------------------------
MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in ExcludeArch.
----------------------------------
N/A
----------------------------------
MUST: All build dependencies must be listed in BuildRequires.
----------------------------------
OK
----------------------------------
MUST: If the package is designed to be relocatable, the packager must state this
fact in the request for review, along with the rationalization for relocation of
that specific package.
----------------------------------
OK (not relocateable)
----------------------------------
MUST: A package must own all directories that it creates.
----------------------------------
OK
----------------------------------
MUST: A package must not contain any duplicate files in the %files listing.
----------------------------------
OK
----------------------------------
MUST: Permissions on files must be set properly.
----------------------------------
OK
----------------------------------
MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
----------------------------------
OK
----------------------------------
MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines. 
----------------------------------
NOT OK!
Please replace /usr/bin in %files with %{_bindir}
----------------------------------
MUST: The package must contain code, or permissable content. 
----------------------------------
OK
----------------------------------
MUST: If a package includes something as %doc, it must not affect the runtime of
the application.
----------------------------------
OK
----------------------------------
MUST: Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section.
----------------------------------
OK
----------------------------------
MUST: Packages must not own files or directories already owned by other packages. 
----------------------------------
OK
----------------------------------
MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
----------------------------------
OK
----------------------------------
MUST: All filenames in rpm packages must be valid UTF-8.
----------------------------------
SHOULD: The reviewer should test that the package builds in mock.
----------------------------------
OK (builds fine on F7 x86_64)
----------------------------------
SHOULD: The reviewer should test that the package functions as described. A
package should not segfault instead of running, for example.
----------------------------------
OK
----------------------------------
==================================================
Summary:
Package looks ok, one blocker:
Please replace /usr/bin in %files with %{_bindir}
==================================================

When you fix this blocker I will approve it.
Comment 16 manuel wolfshant 2007-07-23 11:55:24 EDT
New version uploaded. Changes:
- fixes the missing macro usage
- re-enables parallel build.

Please let me know if these build on your system:
 http://wolfy.fedorapeople.org/qfaxreader.spec
 http://wolfy.fedorapeople.org/qfaxreader-0.3.1-5.fc7.src.rpm
Comment 17 Adel Gadllah 2007-07-23 12:18:09 EDT
build fails in the same way.
Comment 18 Adel Gadllah 2007-07-23 12:26:07 EDT
tryed in mock here is the output:
------------------------------------
make[2]: Leaving directory `/builddir/build/BUILD/qfaxreader-0.3.1/pix'
Making all in src
make[2]: Entering directory `/builddir/build/BUILD/qfaxreader-0.3.1/src'
 cd .. && /bin/sh /builddir/build/BUILD/qfaxreader-0.3.1/missing --run
automake-1.9 --gnu  src/Makefile
/builddir/build/BUILD/qfaxreader-0.3.1/missing: line 52: automake-1.9: command
not found
WARNING: `automake-1.9' is missing on your system.  You should only need it if
         you modified `Makefile.am', `acinclude.m4' or `configure.in'.
         You might want to install the `Automake' and `Perl' packages.
         Grab them from any GNU archive site.
/usr/lib64/qt-3.3/bin/uic alias.ui -o alias.h
make[2]: *** No rule to make target `alias.h', needed by `all'.  Stop.
make[2]: *** Waiting for unfinished jobs....
/usr/lib64/qt-3.3/bin/uic -impl alias.h alias.ui -o alias.cpp
/usr/lib64/qt-3.3/bin/moc alias.h >> alias.cpp
make[2]: Leaving directory `/builddir/build/BUILD/qfaxreader-0.3.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/qfaxreader-0.3.1'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.64731 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.64731 (%build)
---------------------------------
Comment 19 manuel wolfshant 2007-07-23 18:34:20 EDT
New version including a modified patch which hopefully really enables SMP
building uploaded at

http://wolfy.fedorapeople.org/qfaxreader-0.3.1-7.fc7.src.rpm
http://wolfy.fedorapeople.org/qfaxreader.spec
Comment 20 Adel Gadllah 2007-07-23 18:45:42 EDT
builds fine on smp now, package still ok.
I would preffer a s/Url/URL/ in the spec file (breaks syntax highlight in gedit)
but thats ok.


============
=>APROVED
============
Comment 21 manuel wolfshant 2007-07-23 19:14:56 EDT
New Package CVS Request
=======================
Package Name: qfaxreader
Short Description: a monochrome/color multipage .TIFF files visualisation
utility designed for viewing faxes
Owners: wolfy@nobugconsulting.ro
Branches: FC-6 F-7 devel
Comment 22 manuel wolfshant 2007-07-23 19:47:08 EDT
succesfull built in mock/centos. adding EPEL to list of branches.

New Package CVS Request
=======================
Package Name: qfaxreader
Short Description: a monochrome/color multipage .TIFF files visualisation
utility designed for viewing faxes
Owners: wolfy@nobugconsulting.ro
Branches: FC-6 F-7 devel El-4 EL-5
Comment 23 manuel wolfshant 2007-07-24 23:06:50 EDT
Package build. Thanks to all who helped.
Comment 24 Fedora Update System 2007-07-25 01:14:08 EDT
qfaxreader-0.3.1-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 manuel wolfshant 2014-06-10 19:04:19 EDT
New Package SCM Request
=======================
Package Name: qfaxreader
New Branches: epel7
Owners: wolfy
Comment 26 Jon Ciesla 2014-06-11 06:10:57 EDT
No description provided, please correct.

Note You need to log in before you can comment on or make changes to this bug.